Skip to main content
GET
/
api
/
v1
/
billing
/
invoices
List invoices
curl --request GET \
  --url https://api.myrouter.example/api/v1/billing/invoices \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "period_start": "2023-11-07T05:31:56Z",
      "period_end": "2023-11-07T05:31:56Z",
      "currency": "<string>",
      "opening_balance": "<string>",
      "credit_purchase_total": "<string>",
      "usage_charge_total": "<string>",
      "refund_total": "<string>",
      "adjustment_total": "<string>",
      "closing_balance": "<string>"
    }
  ],
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-request-id
string

Optional caller request id.

Query Parameters

status
string

Optional invoice status.

start_time
string<date-time>

Optional period start.

end_time
string<date-time>

Optional period end.

Response

List invoices response.

data
object[]
required

Invoices/statements.

request_id
string

Request id.